import {NgModule} from "@angular/core";
import {EditCommunityComponent} from "./edit-community.component";
import {CommonModule} from "@angular/common";
import {ReactiveFormsModule} from "@angular/forms";
import {CKEditorModule} from 'ng2-ckeditor';
// import { CKEditorModule } from 'ckeditor4-angular';
import {InputModule} from "../../../../openaireLibrary/sharedComponents/input/input.module";
import {IconsModule} from "../../../../openaireLibrary/utils/icons/icons.module";
import {IconsService} from "../../../../openaireLibrary/utils/icons/icons.service";
import {cloud_upload, edit, remove} from "../../../../openaireLibrary/utils/icons/icons";

@NgModule({
  imports: [CommonModule, ReactiveFormsModule, InputModule, IconsModule
    , CKEditorModule
  ],
  declarations: [EditCommunityComponent],
  exports: [EditCommunityComponent]
})
export class EditCommunityModule {
  
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([remove, edit, cloud_upload])
  }
}
